---
variables:
  DUNECI_CMAKE_FLAGS: "-DDUNE_PYTHON_FORCE_PYTHON3=TRUE"

before_script: &before
  - duneci-install-module https://git.imp.fu-berlin.de/agnumpde/dune-matrix-vector.git
  - duneci-install-module https://git.imp.fu-berlin.de/agnumpde/dune-solvers.git
  - duneci-install-module https://git.imp.fu-berlin.de/agnumpde/dune-fufem.git
  - duneci-install-module https://git.imp.fu-berlin.de/agnumpde/dune-elasticity.git

dune-fufem--gcc:
  image: duneci/dune:2.6-debian-10-gcc-8-17
  script: duneci-standard-test
  variables:
    DUNECI_BRANCH: releases/2.6-1

dune-fufem--clang:
  image: duneci/dune:2.6-debian-10-clang-7-libcpp-17
  script: duneci-standard-test
  variables:
    DUNECI_BRANCH: releases/2.6-1

dune:git parmg gcc:
  image: duneci/dune:git-debian-10-gcc-8-17
  before_script:
  - *before
  - duneci-install-module https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.mn.tu-dresden.de/paraphase/dune-parmg.git
  script: duneci-standard-test

dune:git parmg clang:
  image: duneci/dune:git-debian-10-clang-7-libcpp-17
  before_script:
  - *before
  - duneci-install-module https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.mn.tu-dresden.de/paraphase/dune-parmg.git
  script: duneci-standard-test
